* {margin: 0;padding: 0;box-sizing: border-box;letter-spacing: 0.4px;font-family: 'Lato', sans-serif;}
:root{--main-background: #D7C0FF;}
html{overflow-x: hidden;scroll-behavior: smooth;}
body{background: var(--main-background);
    background: linear-gradient(rgba(0, 0, 0, 0.0), rgba(0, 0, 0, 0.0)), url('https://img.freepik.com/free-vector/aesthetic-purple-sky-background-vector-glitter-clouds-design_53876-157556.jpg?size=626&ext=jpg&ga=GA1.2.969831894.1654975018&semt=ais');
    background-size: cover;object-fit: cover;background-repeat: no-repeat;height: 100vh;overflow-x: hidden;}
.container {width: 100%;height: 100%;}

.weatherInput {
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    line-height: 1.5;
    text-align: center;
}

.weatherInputField {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px auto 10px auto;
    padding: 7px 12px 7px 10px;
    border: none;
    background: white;
    width: 90%;
    border-radius: 5px;
    column-gap: 4px;
}

.weatherInputField input {
    font-size: 15px;
    width: 100%;
    outline: none;
    background: none;
    border: none;
}

.searchBtn {
    font-size: 14px;
    padding: 10px 15px;
    /*			background: linear-gradient(130deg,greenyellow,pink,cyan);*/
    background: white;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
    border-radius: 5px;
    border: none;
    font-weight: bold;
    letter-spacing: 0.6px;
    overflow: hidden;
    position: relative;
    z-index: 1;
    width: 120px;
    transition: 0.2s ease;
}

.searchBtn:hover {
    background: black;
}

.searchBtn::before {
    position: absolute;
    content: "";
    top: 10px;
    left: 0;
    width: 100%;
    height: 200%;
    z-index: -1;
    background: linear-gradient(130deg, greenyellow, pink, cyan);
    border-radius: 100px;
    animation: btnanim2 3s linear infinite;
}

@keyframes btnanim2 {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(-360deg);
    }
}

.location-content {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 4px;
    margin: 10px auto;
    color: darkviolet;
}

.weather-Degree {
    position: relative;
}

.weather-Degree h1 {
    font-size: 80px;
    -webkit-text-stroke: 2px;
    -webkit-text-color: white;
    letter-spacing: 0.8px;
    color: darkviolet;
}

.weather-Degree-img {
    max-width: 150px;
    object-fit: cover;
    position: absolute;
    bottom: 0;
    right: -70px;
    animation: imganim 2s linear infinite;
}

@keyframes imganim {
    0% {
        bottom: 0;
    }

    50% {
        bottom: 20px;
    }

    100% {
        bottom: 0;
    }
}

.weather-Degree h2 {
    margin-bottom: 5px;
    color: white;
    letter-spacing: 0.8px;
    text-transform: capitalize;
}

.weather-pallete {
    width: 95%;
    background: white;
    padding: 15px 10px;
    border-radius: 5px;
    margin: 20px auto;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.pallete-data {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
}

.pallete-data i {
    margin-bottom: 5px;
    background: darkviolet;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
}

.pallete-data small {
    font-weight: bold;
    letter-spacing: 0.7px;
}

.pallete-data span {
    font-size: 14px;
}

.weather-forecasts {
    width: 90%;
    margin: auto;
    /*			background: red;*/
}

.weather-forecasts h3 {
    padding: 0px 10px;

}

.weather-ul .weather-data {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-flow: column;
    background: rgba(255, 255, 255, 0.4);
    box-shadow: 5px 5px 2px rgba(0, 0, 0, 0.1);
    border: 1px solid white;
    border-radius: 35px;
    width: 20%;
    margin: 30px auto 20px auto;
    padding: 10px;
    position: relative;
    z-index: 1;
    text-align: center;
}

.forecast-img {
    width: 80px;
    object-fit: cover;
}

.icon-overlay {
    width: 30px;
    height: 30px;
    background: rgba(0, 0, 0, 0.12);
    box-shadow: 0 0 40px rgba(0, 0, 0, 0.6);
    position: absolute;
    top: 57%;
    left: 50%;
    border-radius: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

.weather-data span {
    font-weight: bold;
    font-size: 13px;
    margin-top: 2px;
    background: white;
    padding: 10px;
    border-radius: 35px;
}

.weather-data small {
    font-weight: bold;
    font-size: 15px;
    margin-bottom: 5px;
}
swiper-slide.weather-container {
    transition: 0.8s ease;
    width: 100%;
    height: 100%;
    display: none;
    opacity: 0;
}


.weather-container.active {
    display: block;
    opacity: 1;
}